Subject: Re: bug#57712: 29.0.50; bibtex.el: Should `bibtex-parse-entry' handle curly braces inside fields?

From: Roland Winkler <[email-masked]>
Date: Mon, 12 Sep 2022 23:08:27 -0500

On Tue, Sep 13 2022, Ihor Radchenko wrote:
>   title = {{Introduction $3^5$ to Mark\.{o}v Chain {MOnte} Carlo
> \LaTeX}},
>
> (bibtex-parse-entry '(symbols braces mathmode latex strings))
>
> will return
>
> '("Introduction " (mathmode "$3^5$") " to Markȯv Chain " (braces
> "{MOnte}") "Carlo" (latex "\LaTeX"))
>
> that is
> 1. Escaped symbols are replaced by their unicode
> 2. Braces are indicated by (braces "string")
> 3. LaTeX math is indicated by (mathmode "math string")
> 4. LaTeX commands are indicated by (latex "command")
> 5. @strings are replaced appropriately

I believe this is much beyond BibTeX mode and yet more beyond
bibtex-parse-entry.  It is mostly about parsing LaTeX while BibTeX plays
only a marginal role (adding support for @string's will be cheap once you
get the rest of this parser working).  Then, you also need to deal with
the question: what do you want to do with a return value you illustrated
above?  From what I vaguely understood, your real goal is to convert
this into something human-readable.

This is a fairly substantial project.  I am not sure whether it would be
worth the effort.  And I would not want to bury such a pretty complex
machinery in a new optional arg of a function that is intended to do
something very different.